#!/bin/bash
#
# author: szb5228
# date: 2020-06-03
#
export ORG='ARLUWO'
export AK='ARLUWO_RHEL8_AK'
#
# check to see if we are running as root
if [ "$EUID" -ne 0 ]
  then echo "MUST BE run as root"
  exit 1
fi
# remove all katello-ca-consumer RPM
yum -C -y --noplugins  remove katello-ca-consumer*
# install the new katello-ca-consumer RPM
rpm -Uvh http://rhsat-p01.blue.psu.edu/pub/katello-ca-consumer-latest.noarch.rpm  
# unregister (to clean up cruft)
subscription-manager unregister
# clean (to clean up cruft)
subscription-manager clean
# register with new Satellite Server
subscription-manager register --org="${ORG}" --activationkey="${AK}" 
# check the registration status [OPTIONAL]
subscription-manager status
