#!/bin/bash
#
# AUTHOR: scott boss (szb5228)
# date: 2020-02-20
# updated: 2020-03-25
#
echo "*****************************************************************************"
echo "*                                                                           *"
echo "*    THIS WILL UNREGISTER, CLEAN YUM AND RE-REGISTER A HOST WITH THE PSU    *"
echo "*                SATELLITE SERVER(6).  USE WITH CAUTION!!                   *"
echo "*                                                                           *"
echo "*****************************************************************************"
echo ""
echo ""
echo "starting...."
if [ "$EUID" -ne 0 ]
  then 
  echo "*****************************************************************************"
  echo "*                                                                           *"
  echo "*                          MUST BE RUN AS ROOT!!!!                          *"
  echo "*                    PLEASE TRY AGAIN WHEN YOU ARE ROOT!!                   *"
  echo "*                                                                           *"
  echo "*****************************************************************************"
  exit 1
fi
echo "removing the katello-ca-consumer* RPMs...."
yum -C -y --noplugins  remove katello-ca-consumer*
rpm -Uvh http://rhsat-p01.blue.psu.edu/pub/katello-ca-consumer-latest.noarch.rpm  
echo "checking the subscription-manager status...." 
subscription-manager status
echo "running the subscription-manager unregister...." 
subscription-manager unregister
echo "running the subscription-manager clean...." 
subscription-manager clean
echo "running the subscription-manager register...." 
subscription-manager register --org="UPSYSENG" --activationkey="syseng-SL6-AK"
echo "checking the subscription-manager status...."  
subscription-manager status
echo "running the subscription-manager refresh...." 
subscription-manager refresh
echo "running the yum repolist...." 
yum repolist
echo "running the yum check-update...." 
yum check-update
echo "we are now done...."