#!/usr/bin/env perl
#
# author: scott boss (szb5228)
#
# TODO:
#   - add colorization to the script once we have Term::ANSIcolor or Term::ExtendedColor
#     added to rhsat-p01 server.
#
$|=1;
#
my $HAMMER = '/bin/hammer';
#
# DO NOT CHANGE ANYTHING BELOW OR THINGS BLOW UP
#
my $HAMMEROPTS = '--output csv --no-headers';
#
# SUBs
sub getStatus
  {
  &printEntry( "service","status","reponse");
  &printEntry( "--------------------------------------","----------","----------" );
  my $CMD = sprintf "%s %s ping", $HAMMER,$HAMMEROPTS;
  open( PFH, "$CMD |" ) or die "cant open process handle for $CMD....";
  foreach my $line( <PFH> )
    {
    my ( $candlepinStatus, $candlepinResponse, $candlepin_authStatus, $candlepin_authResponse,$pulpStatus, $pulpResponse, $pulp_authStatus, $pulp_authResponse, $foreman_tasksStatus, $foreman_tasksResponse, $j) = split(/,/,$line);
    &printEntry( "candlepin",      trim( $candlepinStatus ),      trimDuration( $candlepinResponse )      );
    &printEntry( "candlepin auth", trim( $candlepin_authStatus ), trimDuration( $candlepin_authResponse ) );
    &printEntry( "pulp",           trim( $pulpStatus ),           trimDuration( $pulpResponse )           );
    &printEntry( "pulp auth",      trim( $pulp_authStatus ),      trimDuration( $pulp_authResponse )      );
    &printEntry( "foreman tasks",  trim( $foreman_tasksStatus ),  trimDuration( $foreman_tasksResponse )  );
    }
  close PFH;
  }
#
sub printEntry
{
  my ($item,$itemStatus,$itemResponse) = @_;
  printf "%-38s %-10s %10s\n", $item, $itemStatus, $itemResponse
}
#
sub trim
  {
  my ($string) = @_;
  $string =~ s#^\s+##;
  $string =~ s#\s+$##;
  return $string;
  }
#
sub trimDuration
  {
  my ($string) = @_;
  $string =~ s#Duration: ##;
  return &trim( $string );
  }
#
# MAIN
print "*****[ get hammer services ]********************************\n";
&getStatus();
print "\n";
