#!/usr/bin/env perl
#
# author: scott boss (szb5228)
# date: 2020-04-13
#
# TODO:
#   - add colorization to the script once we have Term::ANSIcolor or Term::ExtendedColor
#     added to rhsat-p01 server.
#
$|=1;
#
my $HAMMER = '/bin/hammer';
#
# DO NOT CHANGE ANYTHING BELOW OR THINGS BLOW UP
#
my $HAMMEROPTS = '--output csv --no-headers';
#
my %IDtoOrg;
# SUBs
sub generateIDtoOrg
  {
  my $CMD = sprintf "%s %s organization list", $HAMMER, $HAMMEROPTS;
  open( PFH, "$CMD 2>/dev/null |" ) or die "cant open $CMD for processing....\n";
  foreach my $line ( <PFH> )
    {
    my($i,$j,$n,$jj) = split(/,/,$line);
    $IDtoOrg{$i} = $n;
    }
  close PFH;
  }
#
sub printOrgIDlist
  {
  printf "%-32s [%3s]\n","Organization","IDs";
  printf "%-32s [%3s]\n","--------------------------------","---";
  foreach my $id ( sort { $a <=> $b } keys %IDtoOrg )
    {
    printf "%-32s [%3d]\n",substr($IDtoOrg{$id},0,32),(int $id);
    }
  }
#
# MAIN
&generateIDtoOrg();
&printOrgIDlist();