#!/usr/bin/env perl
#
my $SYSTEMCTL = '/bin/systemctl';
#
my @SERVICES = ("dynflowd.service","foreman-proxy.service","goferd.service","httpd.service","postgresql.service","pulp_celerybeat.service","pulp_resource_manager.service","pulp_streamer.service","pulp_workers.service","puppetserver.service","qdrouterd.service","qpidd.service","rh-mongodb34-mongod.service","smart_proxy_dynflow_core.service","squid.service","tomcat.service" );
#
# SUBs
sub checkService
  {
  my ( $service ) = @_;
  my $CMD = sprintf "%s status %s", $SYSTEMCTL, $service;
  open( PFH, "$CMD 2>& 1|" ) or die "cant open process handle for $CMD";
  my $loaded = "UNKNOWN";
  my $active = "UNKNOWN";
  foreach my $line ( <PFH> )
    {
    if ( grep(/\s+Loaded: /, $line) )
      {
      $line =~ /:(.*?)\s+\(/;
      $loaded = &trim( $1 );
      }
    elsif ( grep(/\s+Active: /, $line) )
      {
      $line =~ /:(.*?)\s+\(/;
      $active = &trim( $1 );
      }
    }
  &printEntry( $service, $loaded, $active );
  }
#
sub printEntry
{
  my ($item,$itemStatus,$itemResponse) = @_;
  printf "%-38s %-10s %10s\n", $item, $itemStatus, $itemResponse
}
#
sub trim
  {
  my ($string) = @_;
  $string =~ s#^\s+##;
  $string =~ s#\s+$##;
  return $string;
  }
#
#
# MAIN
print "*****[ get services running check ]*************************\n";
&printEntry( "service", "loaded?", "active?" );
&printEntry( "----------------------------------------", "----------", "----------" );
foreach my $service ( sort @SERVICES )
  {
  &checkService( $service );
  }
print "\n";